# AWS Elastic Beanstalk

## AWS EBS Setup

NGSurvey can also be deployed under any AWS EBS stack in just a few minutes using one of the following installation link depending if you choose to activate the NGINX reverse proxy on your EBS configuration or not.&#x20;

* [Nginx Enabled AWS Elastic Beanstalk install source package](https://console.aws.amazon.com/elasticbeanstalk/home?region=eu-central-1#/newApplication?applicationName=ngSurvey\&platform=docker\&environmentType=SingleInstance\&withRds=true\&rdsDBEngine=sqlserver-ex\&sourceBundleUrl=https://ngsurvey.s3.eu-central-1.amazonaws.com/ngsurveyeenginx.aws.zip) \
  Configures ngSurvey with a pre-configured Nginx reverse proxy. Recommended.&#x20;

* [AWS Elastic Beanstalk install source package](https://console.aws.amazon.com/elasticbeanstalk/home?region=eu-central-1#/newApplication?applicationName=ngSurvey\&platform=docker\&environmentType=SingleInstance\&withRds=true\&rdsDBEngine=sqlserver-ex\&sourceBundleUrl=https://ngsurvey.s3.eu-central-1.amazonaws.com/ngsurveyee.aws.zip)\
  Configures ngSurvey without default Nginx configuration. Recommended only if you dont want to run behind a reverse proxy or want to configure Nginx manually.

In order to deploy ngSurvey under AWS you may check following [step by step tutorial](/installation-setup/installation/amazon-web-services/aws-elastic-beanstalk/aws-ebs-step-by-step.md). &#x20;

## Load balancing

If you are running ngSurvey on multiple cluster nodes make sure that you [enable distributed caching](/installation-setup/installation/cluster-scale-out-configuration.md) if you run ngSurvey on multiple server instance to share the load.

## Database setup

Out of the box ngSurvey will automatically configure / create / update the database that is specified in your connection string. Note that If you run your container under AWS ngSurvey will automatically pick up all RDS connection properties.\
\
If you don't want to have ngSurvey update automatically your database you can turn off the automatic database setup by setting the environment variable NGSurvey:AutoDBSetup to false.\
\
If you prefer to do a manual database setup you may grab the DACPAC file from the container's app/database directory of the archive and follow the Microsoft SQL Server database installation procedure.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ngsurvey.com/installation-setup/installation/amazon-web-services/aws-elastic-beanstalk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
